#!/bin/sh

# Mime Installer for RealPlayer7 Beta
# (C) 1999 RealNetworks, Inc.

# The purpose of this shell script is to automate the installation of 
# RealNetworks mimetypes for Netscape, Gnome, and KDE.  

# Currently there is no Gnome installer... no time yet!  If you have a diff
# for gnome, CDE, or any other environment, please feel free to send it 
# to pgodman@real.com

abort () 
{
    echo "Error - mimeinstall.sh: $1"
    exit 1
}


REALPLAY=`pwd`/realplay
LOC=`pwd`


if [ -f "$HOME/.mime.types" ] ; then
    if grep x-pn-realaudio $HOME/.mime.types > /dev/null 2>&1 ; then
        echo "Found RealMedia mimetype in $HOME/.mime.types"
    else    
        echo "Added RealMedia mimetype to $HOME/.mime.types"
        cat >> $HOME/.mime.types << EOF
audio/x-pn-realaudio  ra rm ram
audio/vnd.rn-realaudio ra rm ram
application/smil smi
EOF
    fi
else
        echo "Added RealMedia mimetype to $HOME/.mime.types"
        cat >> $HOME/.mime.types << EOF
audio/x-pn-realaudio ra rm ram
audio/vnd.rn-realaudio ra rm ram
application/smil smi
EOF
fi


if [ "%1" = "MP3" ] ; then
if [ -f "$HOME/.mime.types" ] ; then
    if grep x-pn-mp3 $HOME/.mime.types > /dev/null 2>&1 ; then
        echo "Found MP3 mimetype in $HOME/.mime.types"
    else    
	echo "Added MP3 mimetype to $HOME/.mime.types"
        cat >> $HOME/.mime.types << EOF
audio/x-pn-mp3  mp3
EOF
    fi
else
        echo "Added MP3 mimetype to $HOME/.mime.types"
        cat >> $HOME/.mime.types << EOF
audio/x-pn-mp3  mp3
EOF
fi
fi


if [ -f "$HOME/.mailcap" ] ; then
    if grep  x-pn-realaudio $HOME/.mailcap > /dev/null 2>&1 ; then
        echo "Found RealMedia mimetype in $HOME/.mailcap"
    else
        echo "Added RealMedia mimetype to $HOME/.mailcap"
        cat >> $HOME/.mailcap << EOF
audio/x-pn-realaudio;$REALPLAY %u
audio/vnd.rn-realaudio;$REALPLAY %u
application/smil;$REALPLAY %u
EOF
	if [ "%1" = "MP3" ] ; then
        echo "Added MP3 mimetype to $HOME/.mailcap"
        cat >> $HOME/.mailcap << EOF
audio/x-pn-mp3;$REALPLAY %u
EOF
	fi
    fi
else
        cat >> $HOME/.mailcap << EOF
audio/x-pn-realaudio;$REALPLAY %u
audio/vnd.rn-realaudio;$REALPLAY %u
application/smil;$REALPLAY %u
EOF
    if [ "%1" = "MP3" ] ; then
        echo "Added MP3 mimetype to $HOME/.mailcap"
        cat >> $HOME/.mailcap << EOF
audio/x-pn-mp3;$REALPLAY %u
EOF
    fi
fi




if [ ! -d $HOME/.kde/share/applnk ] ; then
	mkdirhier $HOME/.kde/share/applnk
fi

if [ -d $HOME/.kde/share/applnk ] ; then
   echo "Added RealPlayer application for use by KDE"
   cat > $HOME/.kde/share/applnk/RealPlayer.kdelnk << EOF	
# KDE Config File
[KDE Desktop Entry]
Comment[C]=
SwallowTitle=
SwallowExec=
BinaryPattern=realplayer;RealPlayer;
Name=RealPlayer 7
Name[C]=RealPlayer 7
MimeType=audio/x-pn-realaudio;audio/vnd.rn-realaudio;application/smil;
Exec=$REALPLAY
Icon=$LOC/rp7.xpm
TerminalOptions=
Path=
Name[pt_BR]=Aplicativo
Type=Application
Terminal=0
Name[no]=Applikasjon
EOF
fi

if [ ! -d $HOME/.kde/share/mimelnk/audio ] ; then
	mkdirhier $HOME/.kde/share/mimelnk/audio 
fi

if [ -d $HOME/.kde/share/mimelnk/audio ] ; then
   echo "Added RealMedia mimetype for use by KDE"
   cat > $HOME/.kde/share/mimelnk/audio/RealMedia.kdelnk << EOF
# KDE Config File
[KDE Desktop Entry]
Name[fi]=Mimetyyppi
Comment[C]=
Name[fr]=Type MIME
Name[ru]= MIME
Name[pl]=Typ mime
Name=Mime Type
Name[it]=Tipo MIME
MimeType=audio/x-pn-realaudio
DefaultApp=RealPlayer
Icon=$LOC/rp7.xpm
Name[sk]=MIME typ
Name[pt_BR]=Tipo MIME
Name[es]=Tipo MIME
Type=MimeType
Name[pt]=Tipo MIME
Patterns=*.ram;*.rm;*.ra;*.smi;
Name[no]=Mimetype
Name[ro]=Tip MIME
EOF
fi

if [ -d $HOME/.kde/share/mimelnk/audio ] ; then
   echo "Added RealMedia2 mimetype for use by KDE"
   cat > $HOME/.kde/share/mimelnk/audio/RealMedia2.kdelnk << EOF
# KDE Config File
[KDE Desktop Entry]
Name[fi]=Mimetyyppi
Comment[C]=
Name[fr]=Type MIME
Name[ru]= MIME
Name[pl]=Typ mime
Name=Mime Type
Name[it]=Tipo MIME
MimeType=audio/vnd.rn-realaudio
DefaultApp=RealPlayer
Icon=$LOC/rp7.xpm
Name[sk]=MIME typ
Name[pt_BR]=Tipo MIME
Name[es]=Tipo MIME
Type=MimeType
Name[pt]=Tipo MIME
Patterns=*.ram;*.rm;*.ra;
Name[no]=Mimetype
Name[ro]=Tip MIME
EOF
fi

if [ -d $HOME/.kde/share/mimelnk/audio ] ; then
   echo "Added SMIL mimetype for use by KDE"
   cat > $HOME/.kde/share/mimelnk/audio/SMIL.kdelnk << EOF
# KDE Config File
[KDE Desktop Entry]
Name[fi]=Mimetyyppi
Comment[C]=
Name[fr]=Type MIME
Name[ru]= MIME
Name[pl]=Typ mime
Name=Mime Type
Name[it]=Tipo MIME
MimeType=application/smil
DefaultApp=RealPlayer
Icon=$LOC/rp7.xpm
Name[sk]=MIME typ
Name[pt_BR]=Tipo MIME
Name[es]=Tipo MIME
Type=MimeType
Name[pt]=Tipo MIME
Patterns=*.smil;
Name[no]=Mimetype
Name[ro]=Tip MIME
EOF
fi

cat << EOF

If you're using KDE, you'll need to restart your X session
now for the changes to take effect.  Changes to netscape 
mime configuration will take effect upon restarting netscape.

EOF
